Bug 135647 - Installer kernel Oopses during PS/2 mouse probe
Installer kernel Oopses during PS/2 mouse probe
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-10-13 21:01 EDT by David Paschal
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:44:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Paschal 2004-10-13 21:01:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)
Gecko/20020830

Description of problem:
The kernel Oopses when booting the FC3test3 install disc 1, apparently
while probing for PS/2 mice.  Here are the last 24 lines of on-screen
output (hand-typed, since the system locks up hard afterwards):

----------------
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
serio: i8042 AUX port at 0x60,0x64 irq 12
Unable to handle kernel NULL pointer dereference at virtual address
00000000
 printing eip:
00000000
*pde = 00000000
Oops: 0000 [#1]
Modules linked in:
CPU:    0
EIP:    0060:[<00000000>]    Not tainted VLI
EFLAGS: 00010017    (2.6.8-1.541)
EIP is at 0x0
eax: f7e62000   ebx: f7e62000   ecx: 00000000   edx: c03cdfbc
esi: 00000000   edi: 00000000   ebp: c0369d40   esp: c03cef94
ds: 007b   es: 007b   ss: 0068
Process swapper (pid: 1, threadinfo=c03ce000 task=f7c518b0)
Stack: c0290a72 c0369a40 c0369a40 c0369d40 00000000 00000000 c0292aca
c03cdfbc
       f7e6e620 00000000 c03cdfbc 00000046 c0293541 c03cdfbc f7e6e6a0
04000001
       00000000 c03cdfbc c01077b1 c03cdfa0 c039f600 c03ce000 0000000c
c0107dae
Call Trace:
Stack pointer is garbage, not printing trace
Code:  Bad EIP value.
 <0>Kernel panic - not syncing: Fatal exception in interrupt
----------------

Motherboard is Asus P4S8X (Pentium 4, 2.53 GHz), connected to a Cybex
KVM switchbox.  I don't know if using a directly-connected
keyboard/mouse changes anything.  FC2 final installed and ran fine on
this system.  Problem doesn't occur with an HP OmniBook 2100.

My workaround was to reboot and pass the "noprobe" option to the
kernel.  Installation was successful (although I had to hand-pick
network driver modules), and the installed system booted successfully.
 Here are the relevant kernel boot messages that appeared around the
Oops point (above) in the successfully-booted-installed-system case:

----------------
mice: PS/2 mouse device common for all mice
serio: i8042 AUX port at 0x60,0x64 irq 12
input: ImPS/2 Logitech Wheel Mouse on isa0060/serio1
serio: i8042 KBD port at 0x60,0x64 irq 1
input: AT Translated Set 2 keyboard on isa0060/serio0
----------------

My mouse is not a wheel mouse as the message claimed above, but rather
a simple HP 3-button PS/2 mouse.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.541

How reproducible:
Always

Steps to Reproduce:
1. Boot FC3test3 install disc 1 on system in question (see above).

Actual Results:  Installer kernel Oopses (see above).

Expected Results:  Installer kernel should not Oops, and should
proceed to start the installer application.
Comment 1 Paul Nasrat 2004-10-14 04:54:14 EDT
Can you reproduce the Oops on the running system by running as root:

/usr/sbin/kudzu -p -b psaux
Comment 2 David Paschal 2004-10-14 15:12:37 EDT
Running "/usr/sbin/kudzu -p -b psaux" on the running installed system
works fine (no Oops):

----------------
-
class: OTHER
bus: PSAUX
detached: 0
driver: pcspkr
desc: "PC Speaker"
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: generic3ps/2
desc: "ImPS/2 Logitech Wheel Mouse"
-
class: KEYBOARD
bus: PSAUX
detached: 0
driver: ignore
desc: "AT Translated Set 2 keyboard"
----------------

Is there a similar command you'd like me to try from the bash console
after successfully booting the installer with "noprobe", in case
there's a difference in kernel builds between the install CD and the
installed system?
Comment 3 Dave Jones 2004-10-29 17:31:08 EDT
Is this any better with the latest release candidate from
http://testing.fedora.redhat.com/tree/   ?
Comment 4 David Paschal 2004-10-29 19:57:55 EDT
Yes, much better.

I downloaded
"http://testing.fedora.redhat.com/tree/i386/iso/FC3-i386-disc1.iso"
(dated "29-Oct-2004 12:31"), burned it to a CD, and booted it on the
previously problematic system.  The kernel and Anaconda boot
successfully.  Thanks for fixing this issue.  (I didn't attempt to
install based on the release candidate, but at least verified that the
installer starts successfully.)
Comment 5 Dave Jones 2005-07-15 14:17:40 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:44:42 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.